- [HTTP request](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/create.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/create.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/create.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/create.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/create.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/create.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.auditSchedules/create.md.txt#body.aspect_1)

Creates a new audit schedule in a given project and location.

### HTTP request

`POST https://auditmanager.googleapis.com/v1/{parent=projects/*/locations/*}/auditSchedules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Project, folder, or organization that this audit schedule is for, in one of the following formats: - `projects/{project}/locations/{location}` - `folders/{folder}/locations/{location}` - `organizations/{organization}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `auditScheduleId` | `string` Required. ID to use for the audit schedule, which becomes the final component of the audit schedule's resource name. |
| `validateOnly` | `boolean` Optional. If `true`, only validates the request and does not create the audit schedule. This executes standard request validation (such as schema, framework existence, scope, and IAM checks) and skips the apply phase. Use this field for the following purposes: \* **Infrastructure as Code (IaC)** : Allow tools like Terraform to run dry-run mutations (e.g., `terraform plan`) without creating real resources or incurring costs. \* **User Interface Validation** : Enable real-time form and permission validation in custom UIs before submitting requests. \* **CI/CD \& Automation**: Test your scripts, permissions, and parameters safely without consuming resource quotas. |

### Request body

The request body contains an instance of `AuditSchedule`.

### Response body

If successful, the response body contains a newly created instance of `AuditSchedule`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-auditmanager`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `auditmanager.auditSchedules.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).